declare type Metadata = {
    metadata: {
        website: string;
        title: string;
        description: string | undefined;
        banner: string | undefined;
        themeColor: string | undefined;
    };
    socials: Record<string, string | undefined>;
    favicons: string[];
};
/**
 *  Fetches meta data of a given website url
 * @param url | the website url to fetch the metadata from
 */
declare const metaFetcher: (url: string) => Promise<Metadata>;
export default metaFetcher;
